# first two digits of version
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:		grilo-plugins
Version:	0.1.18
Release:	3%{?dist}
Summary:	Plugins for the Grilo framework

Group:		Applications/Multimedia
License:	LGPLv2+
Url:		https://live.gnome.org/Grilo
Source0:	http://ftp.gnome.org/pub/GNOME/sources/grilo-plugins/%{release_version}/grilo-plugins-%{version}.tar.xz

BuildRequires:	grilo-devel >= %{version}
BuildRequires:	glib2-devel >= 2.26.0
BuildRequires:	libxml2-devel
BuildRequires:	gupnp-devel >= 0.13.0
BuildRequires:	gupnp-av-devel >= 0.5.0
BuildRequires:	sqlite-devel
BuildRequires:	libgdata-devel
BuildRequires:	tracker-devel >= 0.9.0
BuildRequires:	libquvi-devel
BuildRequires:	gmime-devel

BuildRequires:	gnome-common
BuildRequires:	automake autoconf intltool libtool

Requires:	grilo >= %{version}
Requires:	gupnp >= 0.13.0
Requires:	gupnp-av >= 0.5.0


%description
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains plugins to get information from theses sources:
- Apple Trailers
- Bookmarks
- Filesystem
- Flickr
- Gravatar
- Jamendo
- Last.fm (for album arts)
- Local metadata (album arts and thumbnails)
- Metadata Store
- Podcasts
- Shoutcast
- Tracker
- UPnP
- Vimeo
- Youtube

%prep
%setup -q

# https://bugzilla.gnome.org/show_bug.cgi?id=658448
sed -i -e 's,tracker-sparql-0.11,tracker-sparql-0.14,g' configure.ac

autoreconf -f

%build
%configure				\
	--disable-static		\
	--disable-fakemetadata		\
	--disable-shoutcast		\
	--enable-apple-trailers		\
	--enable-bookmarks		\
	--enable-filesystem		\
	--enable-flickr			\
	--enable-gravatar		\
	--enable-jamendo		\
	--enable-lastfm-albumart	\
	--enable-localmetadata		\
	--enable-metadata-store		\
	--enable-podcasts		\
	--enable-tracker		\
	--enable-upnp			\
	--enable-vimeo			\
	--enable-youtube		\
	--enable-tracker

make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

# Remove files that will not be packaged
rm -f $RPM_BUILD_ROOT%{_libdir}/grilo-%{release_version}/*.la
rm -f $RPM_BUILD_ROOT%{_bindir}/*

%files
%doc AUTHORS COPYING NEWS README
%{_libdir}/grilo-%{release_version}/*.so*
%{_libdir}/grilo-%{release_version}/*.xml

%changelog
* Tue Feb 28 2012 Matthias Clasen <mclasen@redhat.com> - 0.1.18-3
- Rebuild for new tracker

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 12 2011 Bastien Nocera <bnocera@redhat.com> 0.1.18-1
- Update to 0.1.18

* Thu Nov 17 2011 Daniel Drake <dsd@laptop.org> 0.1.17-2
- rebuild for libquvi.so.7

* Mon Oct 17 2011 Bastien Nocera <bnocera@redhat.com> 0.1.17-1
- Update to 0.1.17

* Mon Jul 04 2011 Bastien Nocera <bnocera@redhat.com> 0.1.16-1
- Update to 0.1.16

* Fri Jun 17 2011 Peter Robinson <pbrobinson@gmail.com> 0.1.15-5
- rebuild for new gupnp/gssdp

* Fri May 20 2011 Bastien Nocera <bnocera@redhat.com> 0.1.15-4
- Update with more comments from Kalev Lember <kalev@smartlink.ee>

* Fri May 20 2011 Bastien Nocera <bnocera@redhat.com> 0.1.15-3
- Update with comments from Kalev Lember <kalev@smartlink.ee>

* Fri May 20 2011 Bastien Nocera <bnocera@redhat.com> 0.1.15-2
- Fix a few rpmlint warnings

* Thu Apr 21 2011 Bastien Nocera <bnocera@redhat.com> 0.1.15-1
- Fist package, based on upstream work by Juan A.
  Suarez Romero <jasuarez@igalia.com>

